Bug 131053 - System freezes when compiling certain Java files with javac (IBM Java 1.4.1 or 1.4.2)
System freezes when compiling certain Java files with javac (IBM Java 1.4.1 o...
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Depends On:
  Show dependency treegraph
Reported: 2004-08-26 18:39 EDT by Kimberly Nico
Modified: 2015-01-04 17:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-16 01:58:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kimberly Nico 2004-08-26 18:39:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
I installed Fedora Core 2, and then proceeded to install software from 
the TinyOS project (www.tinyos.net).  After downloading the 
IBM 1.4.2 SDK for 32-bit xSeries (Intel compatible) and the
JAVACOMM package and installing them, I installed the software for 
TinyOS which includes some tools written in Java.  When I type "make", 
it invokes javac for each of the Java files.  Then the system freezes 
-- no blinking cursor, no response to keyboard, mouse, or power 
switch.  I have to pull the power cable out to get my system to 

Because of the file dependencies being compiled automatically in Java, 
I don't know what file in particular causes the freeze, and it's
slow going to test each one.

It just doesn't seem like running javac on *anything* should cause 
a total system freeze.

I have tried both 1.4.2 and 1.4.1 versions of IBM's Java.  1.4.1
used to work on Fedora Core 1.

1.4.1 rpms:

1.4.2 rpms:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Go to /opt/tinyos/tools/java/net/tinyos
2. Type "make"
3. Wait for the system to freeze (sometimes on "javac BcastInject.java"
but not always).

Actual Results:  The terminal window doesn't move, and when I try to
move my mouse
cursor, I can't find it because it's not moving.  Ctl-Alt-Del doesn't
do anything, nor trying to switch terminals with Ctl-Alt-F?.  Pressing
the power switch at the front of the case doesn't do anything (I 
didn't try holding it down) so I pull the power cable out of the back, 
wait 20 seconds, plug it back in, and boot the machine.

Expected Results:  It should have finished compiling lots of Java files.

Additional info:
FWIW, I am using a brand-new HP Pavilion a605x machine.
Comment 1 Kimberly Nico 2004-08-26 18:40:40 EDT
I forgot to mention, I say "certain" Java files because simple ones,
like HelloWorld, it compiles fine, as well as a number of files it
builds before it gets to the one that kills the machine.
Comment 2 Eric Hedström 2004-10-28 13:25:19 EDT
This is a duplicate of bug 121902.
Comment 3 Dave Jones 2005-04-16 01:58:31 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.